namespace TestProject;

/// <summary>
///  
/// </summary>
public partial class MainForm : Form
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region  - MainForm()

    /// <summary>
    /// 
    /// </summary>
    public MainForm()
    {
        InitializeComponent();

        this.dataGridView.ColumnCount = 4;

        this.dataGridView.Columns[0].Name = "";
        this.dataGridView.Columns[1].Name = "";
        this.dataGridView.Columns[2].Name = "ȯ";
        this.dataGridView.Columns[3].Name = "Ⱓ";

        this.dataGridView.Rows.Add(" 1", "2018/01/13", "2018/01/20");
        this.dataGridView.Rows.Add(" 2", "2018/03/05", "2018/03/13");
        this.dataGridView.Rows.Add(" 3", "2018/04/20", "2018/05/15");
        this.dataGridView.Rows.Add(" 4", "2018/04/18", "2018/05/11");
        this.dataGridView.Rows.Add(" 5", "2018/06/01", "2018/08/22");
        this.dataGridView.Rows.Add(" 6", "2018/05/30", "2018/06/02");
        this.dataGridView.Rows.Add(" 7", "2018/04/04", "2018/05/12");
        this.dataGridView.Rows.Add(" 8", "2018/03/12", "2018/04/10");

        Load += Form_Load;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region  ε óϱ - Form_Load(sender, e)

    /// <summary>
    ///  ε óϱ
    /// </summary>
    /// <param name="sender">̺Ʈ ߻</param>
    /// <param name="e">̺Ʈ </param>
    private void Form_Load(object sender, EventArgs e)
    {
        DataGridViewCellStyle style = new DataGridViewCellStyle();

        style.Font      = new Font(this.dataGridView.Font, FontStyle.Bold);
        style.BackColor = Color.Red;
        style.ForeColor = Color.White;

        DateTime date1;
        DateTime date2;

        for(int i = 0; i < this.dataGridView.RowCount - 1; i++)
        {
            date1 = Convert.ToDateTime(this.dataGridView.Rows[i].Cells[2].Value);
            date2 = Convert.ToDateTime(this.dataGridView.Rows[i].Cells[1].Value);

            TimeSpan timeSpan = date1 - date2;

            this.dataGridView.Rows[i].Cells[3].Value = timeSpan.Days;

            if(timeSpan.Days > 10)
            {
                this.dataGridView.Rows[i].Cells[3].Style = style;
            }
        }
    }

    #endregion
}